```@meta
CurrentModule = GRAPE
```

# GRAPE.jl

Implementation of ([second-order](https://arxiv.org/abs/1102.4096)) [GRadient Ascent Pulse Engineering](https://www.department.ch.tum.de/fileadmin/w00bzu/ocnmr/94_GRAPE_JMR_05_.pdf) (GRAPE) extended with automatic differentiation.

Part of [`QuantumControl.jl`](https://github.com/JuliaQuantumControl/QuantumControl.jl#readme) and the [JuliaQuantumControl](https://github.com/JuliaQuantumControl) organization.

## Contents

### Overview

```@contents
Pages = [
    "overview.md",
]
Depth = 1
```

### Examples

```@contents
Pages = [
    "examples/simple_state_to_state.md",
    "examples/perfect_entanglers.md",
]
Depth = 1
```

See also the [general examples](https://juliaquantumcontrol.github.io/QuantumControl.jl/stable/examples/) of the [QuantumControl](https://juliaquantumcontrol.github.io/QuantumControl.jl/stable/) package.

### API

```@contents
Pages = [
    "api.md",
]
Depth = 1
```

## History

See the [Releases](https://github.com/JuliaQuantumControl/GRAPE.jl/releases) on Github.
